SoInfo(3)

NAME
SoInfo - The SoInfo class is a node for holding text information.

SYNOPSIS

#include <Inventor/nodes/SoInfo.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoInfo (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFString string

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoInfo ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoInfo class is a node for holding text information. This is simply a placeholder for textual information about a scene. Typically used for specifying author and copyright information in Inventor format files, but can also be used for other purposes, of course.

SoInfo nodes does not influence traversal in any way for any of the built-in actions.

FILE FORMAT/DEFAULTS:

Info {
    string "<Undefined info>"
}

Constructor & Destructor Documentation

  SoInfo::SoInfo (void)
Constructor.

  SoInfo::~SoInfo () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoInfo::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoInfo::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoInfo::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoInfo::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Member Data Documentation

  SoSFString SoInfo::string
Text information.

Author

Generated automatically by Doxygen for Coin from the source code.